NormalizeCreate a normalization

Create a normalization

Creates a new normalization from an audio or video file.

curl -X POST "https://api.fetchmedia.io/v1/normalize" \
  -H "Content-Type: application/json" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -d '{
  "file_url": "https://www3.cde.ca.gov/download/rod/big_buck_bunny.mp4",
  "loudnorm_i": -24,
  "loudnorm_lra": 7,
  "loudnorm_tp": -2,
  "webhook": "https://example.com/webhook"
}'
{
  "normalization_id": "123e4567-e89b-12d3-a456-426614174000"
}
POST
/normalize
POST
API Key (header: X-API-KEY)
X-API-KEYstring
Required

API key (sent in header)

API Key (query: key)
keystring
Required

API key (sent in query)

Content-Typestring
Required

The media type of the request body

Options: multipart/form-data, application/json
filestring

The file to normalize. Mutually exclusive with file_url.

Format: binary
file_urlstring

The URL of the file to normalize. Mutually exclusive with file.

Format: url
loudnorm_inumber

Integrated loudness. Must be between -70.0 and -5.0.

loudnorm_lranumber

Loudness range. Must be between 1.0 and 50.0.

loudnorm_tpnumber

True peak. Must be between -9.0 and -0.0.

webhookstring

The webhook to send the payload once the normalization is completed.

Format: url
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-KEYstring
Required

API Key for authentication. Provide your API key in the header.

query
keystring
Required

API Key for authentication. Provide your API key in the query.

Body

file_urlstring

The URL of the file to normalize. Mutually exclusive with file.

loudnorm_inumber

Integrated loudness. Must be between -70.0 and -5.0.

loudnorm_lranumber

Loudness range. Must be between 1.0 and 50.0.

loudnorm_tpnumber

True peak. Must be between -9.0 and -0.0.

webhookstring

The webhook to send the payload once the normalization is completed.

Responses